image: mcr.microsoft.com/dotnet/core/sdk:3.1

stages:
    - build
    - test

build:
    stage: build
    tags:
       - docker     
    script:
       - echo "Building on new runner"
       - dotnet --version
       - cd api
       - dotnet build
       
test: 
    stage: test
    script:
        - echo "Time to start testing"
        - dotnet test